# Data_Analysis_g_Kaggle_Challenges

**Data cleaning, Data Analysis, Machine learning, Python**

**1- WeatherHistory dataset:**

In this project, I have analysed the weather's parameters on weatherHistory dataset from kaggle and I investigated the relationship between temperature and humidity using linear regression.
Also, I have implemented machine learning algorithm (Decision Tree) for classification.

In this case, 'Daily Summary' column as the target has been estimated by other features of weather such as temperature, humidity, wind and so on. 
In fact, using Decisin Tree algorithm, weather data was classified to identify the daily weather based on  other weather features.

**Why Decision Tree?**

There are some special privileges of DT that can be considered:

1- It is easy

2- It needs no distribution assumptions(non-parametric)

3- It can recognize Non-linear patterns

4- It needs few pre-preprocessing


**2- Calcofi dataset:**

In this project, I have learned more about scaling and normalizing dataset to work on machine learning algorithms. After cleaning the dataset, I analyzed the parameters, and plot them. 
Using linear regression (simple and polynomial), the relationship between Salinity and Water temperature was calculated.



**Datasets:**

The WeatherHistory dataset is available here (https://www.kaggle.com/muthuj7/weather-dataset)

The bottle dataset is available here (https://www.kaggle.com/sohier/calcofi)